# Copy Android fonts to flash

cd /usr/share/jive/fonts
if ! [ -e DroidSansFallback.ttf ]; then
      echo "Copying DroidSansFallback.ttf"
	cp /media/mmcblk0p1/DroidSansFallback.ttf .
fi


if ! [ -e DroidSansFallback.ttf ]; then
      echo "Did not copy DroidSansFallback.ttf to flash"

# If copy successful 
#     Preserve original font files
#     Create symbolic links to Android fonts
#     Note: Firmware bug prevents creating symbolic links. It 
#           creates a copy with that name. It still works, though.

else
	if ! [ -e old.FreeSans.ttf ]; then
	      echo "Backing up FreeSans.ttf"
		mv FreeSans.ttf old.FreeSans.ttf
		ln s /usr/share/jive/fonts/DroidSansFallback.ttf FreeSans.ttf
	fi

	if ! [ -e old.FreeSansBold.ttf ]; then
	      echo "Backing up FreeSansBold.ttf"
		mv FreeSansBold.ttf old.FreeSansBold.ttf
		ln s /usr/share/jive/fonts/DroidSansFallback.ttf FreeSansBold.ttf 
	fi
fi






